# Uses of Class
org.apache.sling.resourceresolver.impl.providers.tree.Node

Packages that use Node
Package
Description
org.apache.sling.resourceresolver.impl.helper
org.apache.sling.resourceresolver.impl.providers.tree

## Uses of Node in org.apache.sling.resourceresolver.impl.helper

Methods in org.apache.sling.resourceresolver.impl.helper with parameters of type Node
Modifier and Type
Method
Description
`Iterator<org.apache.sling.api.resource.Resource>`
ResourceResolverControl.`listChildrenInternal(ResourceResolverContext context, Node<ResourceProviderHandler> node, org.apache.sling.api.resource.Resource parent, Iterator<org.apache.sling.api.resource.Resource> realChildren)`
Internal method

## Uses of Node in org.apache.sling.resourceresolver.impl.providers.tree

Methods in org.apache.sling.resourceresolver.impl.providers.tree that return Node
Modifier and Type
Method
Description
`Node<T>`
PathTree.`getBestMatchingNode(String path)`
`Node<T>`
Node.`getChild(String name)`
`Node<T>`
PathTree.`getNode(String path)`
Methods in org.apache.sling.resourceresolver.impl.providers.tree that return types with arguments of type Node
Modifier and Type
Method
Description
`Map<String,Node<T>>`
Node.`getChildren()`